iAdvizeDocs

Create a site

Creates a site, the workspace unit agents and conversations live under.

POST
/api/v1/sites

Authorization

ApiKeyAuth
AuthorizationBearer <token>

A WorkOS org-scoped API key, created from the dashboard's organization settings page. Identifies the tenant every read and write is scoped to. Missing, malformed, unknown, revoked, expired, or non-organization-owned keys all return 401 (no distinction, so the response can't be used to probe which keys or org ids exist).

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/api/v1/sites" \  -H "Content-Type: application/json" \  -d '{    "name": "Demo Storefront",    "platform": "shopify",    "url": "https://demo-storefront.example.com"  }'
{  "data": {    "resumeButton": {      "position": "left",      "offsetBottom": 0,      "offsetSide": 0,      "offsetBottomNarrow": 0,      "offsetSideNarrow": 0,      "colors": {        "background": "string",        "icon": "string",        "border": "string"      },      "icon": "sparkle",      "size": "sm",      "radius": "none",      "shadow": "none"    },    "id": "string",    "name": "string",    "platform": "shopify",    "url": "string",    "siteInformation": "string",    "toneOfVoice": "string",    "vertical": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "autoGenerateStarters": true,    "switchOnGeneratedStarters": true,    "pageViewCountingEnabled": true,    "storefrontCartCountingEnabled": true,    "autoReadPages": true,    "autoReadMinViews": 0,    "tagMonitoringEnabled": true,    "panelColors": {      "panel": {        "background": "string"      },      "actions": {        "fill": "string",        "text": "string",        "hover": "string",        "border": "string"      },      "visitor": {        "fill": "string",        "text": "string"      },      "highlights": {        "fill": "string",        "text": "string"      },      "assistant": {        "text": "string"      },      "links": {        "color": "string"      },      "suggestions": {        "fill": "string",        "text": "string",        "border": "string"      }    },    "panelPosition": "left",    "panelBackdrop": true,    "hostedPage": {      "enabled": true,      "link": "string"    },    "defaultAgentId": "string",    "analysisState": "running"  }}